Categories:
  - Reading
License: GPL-3.0-only
AuthorName: Quinn Casey
AuthorEmail: qcasey1@gmail.com
AuthorWebSite: https://quinncasey.com/
SourceCode: https://github.com/qcasey/paperless_share
IssueTracker: https://github.com/qcasey/paperless_share/issues
Changelog: https://github.com/qcasey/paperless_share/releases

AutoName: PaperlessShare

RepoType: git
Repo: https://github.com/qcasey/paperless_share

Builds:
  - versionName: 1.0.5
    versionCode: 1005
    commit: v1.0.5
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.0.6
    versionCode: 1006
    commit: v1.0.6
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - export PATH=$$flutter$$/bin:$PATH
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/qcasey/paperless_share/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.6
CurrentVersionCode: 1006
